"use strict";
var paramCase = require("param-case");
function default_1(api) {
    var projectName = paramCase(api.title);
    return "# Installation\n\nFollow these instructions to publish and subsequently install the module in your project.\n\n## Git\n\n```bash\n# Initialize with git\ngit init\ngit add .\ngit commit -m \"Initial commit\"\ngit push [git-url]\n\n# Install in project from git\nnpm install [git-url] --save\n```\n\n## Source Directory\n\n```bash\n# Link module globally\nnpm link\n\n# Link in project to local module\nnpm link " + projectName + "\n```\n\n**Note:** You should publish it before you use it publicly.\n\n## NPM\n\n```bash\n# Publish to npm\nnpm publish\n\n# Install from npm\nnpm install " + projectName + " --save\n```\n";
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
//# sourceMappingURL=INSTALL.md.js.map